Subject: Re: Please help me...

From: dony <[email-masked]>
Date: Fri, 31 Dec 1999 16:40:45 +0800

Jeff Millar wrote:

> The zImage contains an uncompress program at the start.  This program then
> copies and uncompresses the kernel to another location in ram.  If your
> using the kernel from Dan at
>
>     ftp://linuxppc.cs.nmt.edu/pub/linuxppc/embedded/
>
> Then use the debugger to start it at 0x00200000.  Refer to the code in
> arch/ppc/mbxboot/misc.c

By the way, what role does the "struct bd_t" play in the function
"decompress_kernel"?
Is it contain the private data for various board? Must I need it?

>
>
> I'm not the expert, Dan is, but he's been teaching me.
>
> jeff
> ----- Original Message -----
> From: "dony" <[email-masked]>
> To: "Raphael Bossek" <[email-masked]>; "Brendan Simon"
> <[email-masked]>; "Dan Malek" <[email-masked]>; "linuxppc-embed"
> <[email-masked]>
> Sent: Thursday, December 30, 1999 9:29 PM
> Subject: Please help me...
>
> >
> > Hi,
> >       Now I am trying to embed linux onto our MPC860-based board. I have
> > some questions which may be solved by you embed-linux gurus....
> >      What I want to do  is the following:
> >     1     Initialize the MPC860 CPU , memory, serial port, enet port .
> >     2    Download  the linux powerpc kernel (which I have cross-compiled
> > on my X86 box)
> >            from the TFTP server to RAM on board.
> >     3    run the kernel.
> > Now the 1 and 2 step work well, but when I download the kernel to RAM on
> > board, It just cannot run.Do you know why? How can I programme to make
> > it run? Since the kernel is a compressed image (zvmlinux), need I make
> > some codes to decompress it and then run it? if so, how to do it?
> >  Thank you very much :-))
> >  Merry christmas & happy year.
> >
> > dony
> >
> >

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/